Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.navtree
Class StdNodeWrapper

    java.lang.Object
      org.jboss.console.navtree.StdNodeWrapper

All Implemented Interfaces:
  NodeWrapper

public class StdNodeWrapper
extends Object
implements NodeWrapper

NodeWrapper implementation for nodes that are not root nodes

Version:
  $Revision: 1.5 $

  Revisions:

  20 decembre 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  `NodeWrapper`

Constructor Summary
`StdNodeWrapper(TreeNode node, TreeInfo master, String parentPath)`

Method Summary
`TreeAction` | `getAssociatedAction()`
`Object` | `getChild(int index)`
`int` | `getChildCount()`
`String` | `getDescription()`
`String` | `getIconUrl()`
`int` | `getIndexOfChild(Object child)`
`protected TreeNode` | `getMasterFromPluggins(TreeNode[] plugged)`
`TreeNodeMenuEntry[]` | `getMenuEntries()`
`String` | `getPath()`
`boolean` | `isLeaf()`
`protected TreeNode[]` | `removeMasterFromList(TreeNode[] all, TreeNode main)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StdNodeWrapper

    public StdNodeWrapper(TreeNode node,
                          TreeInfo master,
                          String parentPath)

Method Detail

### getChild

    public Object getChild(int index)

  Specified by:
    `getChild` in interface `NodeWrapper`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `NodeWrapper`

### getIndexOfChild

    public int getIndexOfChild(Object child)

  Specified by:
    `getIndexOfChild` in interface `NodeWrapper`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `NodeWrapper`

### toString

    public String toString()

### getIconUrl

    public String getIconUrl()

  Specified by:
    `getIconUrl` in interface `NodeWrapper`

### getAssociatedAction

    public TreeAction getAssociatedAction()

  Specified by:
    `getAssociatedAction` in interface `NodeWrapper`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `NodeWrapper`

### getMenuEntries

    public TreeNodeMenuEntry[] getMenuEntries()

  Specified by:
    `getMenuEntries` in interface `NodeWrapper`

### getPath

    public String getPath()

  Specified by:
    `getPath` in interface `NodeWrapper`

### getMasterFromPluggins

    protected TreeNode getMasterFromPluggins(TreeNode[] plugged)

### removeMasterFromList

    protected TreeNode[] removeMasterFromList(TreeNode[] all,
                                              TreeNode main)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.